{ config, pkgs, assets, ... }: {
  services.atuin = {
    enable = true;
    package = pkgs.unstable.atuin.overrideAttrs (_old: {
      # as cursed as doing mitigations=off in the kernel command line
      patches = [ "${assets}/0001-make-atuin-on-zfs-fast-again.patch" ];
    });
    host = "0.0.0.0";
    maxHistoryLength = 999999;
    openRegistration = false;
  };
}
