{ config, pkgs, lib, ... }: {

  networking.firewall.allowedTCPPorts = [ 22000 ];
  networking.firewall.allowedUDPPorts = [ 22000 ];

  services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "media";
    group = "media";
    dataDir = "/media/syncthing/config";
    configDir = "/media/syncthing/config";
    overrideDevices = true;
    overrideFolders = true;
    settings.folders = {
      audiobooks = {
        enable = true;
        path = "/media/synchthing/audiobooks";
      };
      lectures = {
        enable = true;
        path = "/media/synchthing/lectures";
      };
    };
  };

}
