{ config, lib, pkgs, ... }:
with pkgs;
with lib;
{
  config = mkIf config.gui.enable {
    home.packages = [
      unstable.logseq
    ];
    home.file.".config/Logseq/Preferences".source = (pkgs.formats.json { }).generate "LogseqPreferences.json"
      {
        spellcheck = {
          dictionaries = [ "en-US" "de-DE" ];
          dictionary = "";
        };
      };
  };

}
